FROM ubuntu:latest

ARG GCC_ARM_VER=gcc-arm-none-eabi-9-2020-q2-update
RUN apt-get update && \
	apt-get install -y curl bzip2 unzip python3 python3-pip git zip jq ripgrep libusb-1.0-0 xxd >/dev/null
RUN curl 'https://developer.nordicsemi.com/.pc-tools/nrfutil/x64-linux/nrfutil' -o /bin/nrfutil && \
	chmod a+x /bin/nrfutil && /bin/nrfutil install nrf5sdk-tools
RUN pip install Office365-REST-Python-Client msal
RUN curl 'https://nsscprodmedia.blob.core.windows.net/prod/software-and-other-downloads/desktop-software/nrf-command-line-tools/sw/versions-10-x-x/10-24-0/nrf-command-line-tools_10.24.0_amd64.deb' -o 'nrf-cli-tools.deb' && dpkg -i nrf-cli-tools.deb && rm nrf-cli-tools.deb
RUN curl -L 'https://developer.arm.com/-/media/Files/downloads/gnu-rm/9-2020q2/gcc-arm-none-eabi-9-2020-q2-update-x86_64-linux.tar.bz2?revision=05382cca-1721-44e1-ae19-1e7c3dc96118&la=en&hash=D7C9D18FCA2DD9F894FD9F3C3DC9228498FA281A' -o ${GCC_ARM_VER}.tar.bz2 && \
	tar -xvjf ${GCC_ARM_VER}.tar.bz2 >/dev/null && rm ${GCC_ARM_VER}.tar.bz2 
ENV PATH="/${GCC_ARM_VER}/bin:/mergehex:/nrfjprog:$PATH"
RUN curl https://developer.nordicsemi.com/nRF5_SDK/nRF5_SDK_v15.x.x/nRF5_SDK_15.2.0_9412b96.zip -o nRF5_SDK_15.2.0_9412b96.zip && unzip -d /  nRF5_SDK_15.2.0_9412b96.zip >/dev/null && rm nRF5_SDK_15.2.0_9412b96.zip 
RUN printf "GNU_INSTALL_ROOT ?= /${GCC_ARM_VER}/bin/\nGNU_VERSION ?= 9.3.1\nGNU_PREFIX ?= arm-none-eabi\n" > /nRF5_SDK_15.2.0_9412b96/components/toolchain/gcc/Makefile.posix
RUN curl "https://awscli.amazonaws.com/awscli-exe-linux-x86_64.zip" -o "/awscliv2.zip" && unzip /awscliv2.zip >/dev/null && /aws/install && rm -rf /awscliv2.zip /aws/
